PETSc version 3.15.5
Fix/Edit manual page

# PCMGSetCycleType

Sets the type cycles to use. Use PCMGSetCycleTypeOnLevel() for more complicated cycling.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCMGSetCycleType(PC pc,PCMGCycleType n)

Logically Collective on PC

### Input Parameters

| pc | - the multigrid context
| n | - either PC_MG_CYCLE_V or PC_MG_CYCLE_W

### Options Database Key

| -pc_mg_cycle_type <v,w> | - provide the cycle desired

### See Also

PCMGSetCycleTypeOnLevel()

### Level

advanced

### Location

src/ksp/pc/impls/mg/mg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages